Creates a new location object

Request Information

URI Parameters :

None.

Body Parameters :

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Request Formats :

application/json, text/json

Sample:
{
  "id": "d38263f6-c1cd-420e-8dd2-0cc0c12662fd",
  "_parent_id": "c5913284-4a23-422d-8fb3-27e8c95ec164",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "16f38971-37e5-49ed-a639-9f5614e7bc2b",
  "company_id": "5ebd9ab7-97d4-4244-9ec5-9572f88f3e32",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "e159db99-19c7-4350-8608-460e37ac114d",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "7f996dac-520e-4721-99ca-87613748db36",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "1b0ecf58-2a04-48af-bfd5-871e0db7442a",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "ebc6c0d8-403a-4711-bd0b-96fca37c5e19",
    "company_code": "sample string 5",
    "company": {
      "id": "3d8eab65-e544-4888-b908-2e83aebb5f4c",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-03-12T06:12:32.8123231+00:00",
      "sales_territory_id": "845652ad-b2dc-4d12-9e1f-f392a7636ccf",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "4a5989b3-e9a3-482d-9202-03e058f245cd",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "22b08a3c-7ec8-428d-8928-7bd0ddd58a80",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "e11658a5-87f6-46dc-bcb1-1cc68d3a9fd5",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "86eaac4a-152a-4f85-9621-e5d5c8ac0ff3",
          "db_currency_id": "2dbde1d0-aaf0-47a6-8c88-c712ac71c84b",
          "db_language_id": "de6404cb-830a-400b-971a-dc68092376ce",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-03-12T06:12:32.8123231+00:00"
        },
        "modified_dateutc": "2026-03-12T06:12:32.8123231+00:00"
      },
      "marketing_segment_id": "252b745c-d3ad-478b-a76d-8cfd13f7f3a2",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "00a84bb0-285d-491d-8ed8-dc370ec39cd9",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "309467ab-7797-4a13-8cdd-6bdc103d3a72",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "8322114f-f566-4d3c-aefa-21f988b1e216",
      "db_country_code": "sample string 28",
      "feelist_id": "584047e1-f485-4ec6-85f1-3525f35b28a9",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "dec21131-54d1-46cf-a1e1-4381ae5a52ed",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "92f60ccb-da49-4a76-9b1e-b0dacf4a6042",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-03-12T06:12:32.8123231+00:00",
        "db_currency_id": "c105c24c-9336-4ddb-ad40-724b08fb100c",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "1f7344fe-c2ad-45f3-9b83-ea6c8da4977a",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "c306bf6f-567a-46eb-80c7-19a1aaf59bb9",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "ecdc010c-ccab-4be4-820a-e77fab643061",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "fad05146-e527-41d7-bb92-d06982dffb6e",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "c4ec8f9e-ab46-4a3c-9f5e-0e451ce568c8",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "92725e14-c6ba-4403-9dca-10a78594e8e3",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "bc52ff1a-0266-4789-bd7f-1dd54233c506",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-03-12T06:12:32.8123231+00:00"
      },
      "company_sector_id": "e4ddf76c-71c4-41b8-bef6-cda2ac157d24",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "b94e4356-6132-4e7b-9a98-8616afcdfce1",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "968f6e5d-d5e2-4e3e-8a69-618c10223cb5",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "35e5d6a4-ce2a-4a93-b1a5-9c8b40dbacb6",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "713ef258-5990-4855-bd97-ced18c49c115",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-03-12T06:12:32.8123231+00:00",
      "id2": 60
    },
    "db_language_id": "9d9de221-e4ee-431e-ace1-949104fcfa78",
    "db_language_code": "sample string 7",
    "db_title_id": "093fb78e-6c9a-46dd-8dbf-a21efbcbeb84",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-03-12T06:12:32.8123231+00:00",
    "create_date": "2026-03-12T06:12:32.8123231+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-03-12T06:12:32.8123231+00:00"
  },
  "modified_dateutc": "2026-03-12T06:12:32.8123231+00:00",
  "id2": 22
}

Response Information

Resource Description :

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "b90d7c66-ea06-4c36-ae23-5083d62297e2",
  "_parent_id": "3f8cf350-d6c1-42ca-a705-41152b4da80a",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "4264c687-ddef-4620-8279-680832a8d7ba",
  "company_id": "2f5eccde-92d0-408b-b7a5-1fd282f6d572",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "372556cf-e068-4d7c-8e53-1e3b01e3f7bd",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "d21c004f-2279-4588-a720-5f01f1575aff",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "55a6dc32-ee32-483f-bebb-5e36966e9767",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "9cf1a43d-e3a5-4c73-9f9c-b40b45080253",
    "company_code": "sample string 5",
    "company": {
      "id": "961ff770-4d4b-49c4-99e1-add126d6d4fe",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-03-12T06:12:32.8123231+00:00",
      "sales_territory_id": "4f55c44b-7ba5-4f9c-9699-e1d6721d0923",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "da88e9a2-799f-41f4-b5d5-7ad1c93955e1",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "18f50368-0a65-4857-a35e-5d8b65a130a8",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "07854736-3890-4498-b556-1429b602948f",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "cb9f0689-3ab0-4086-ae27-8b76b3cc30ab",
          "db_currency_id": "36d8bd2f-2042-4f3e-bbd0-b3140c419e6c",
          "db_language_id": "4b49e7f1-b1b4-4c2a-a2ed-b282be6c96ee",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-03-12T06:12:32.8123231+00:00"
        },
        "modified_dateutc": "2026-03-12T06:12:32.8123231+00:00"
      },
      "marketing_segment_id": "95e8a291-e5c2-42e1-8a89-6041345df7e5",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "f84a07cc-b0f5-4df0-a7f4-07a93926d031",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "c1cd509e-9578-4b39-a075-f9ea2e49a0c1",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "a58158bc-4d9a-4ddb-beac-b6357b4413d6",
      "db_country_code": "sample string 28",
      "feelist_id": "df8a7dcd-8990-4d4e-9e2a-29d39a59e96d",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "b6b463a8-3976-46af-bf72-e2dc2973fd29",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "df2f44f6-6805-43db-9b94-2c51ebcd7168",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-03-12T06:12:32.8123231+00:00",
        "db_currency_id": "d0412fdf-f69d-40a5-8cd9-bcfc7c85bc53",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "5196f01d-583a-4e54-bc09-b23ba71ad5dc",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "e1d7131c-bf41-40d2-9055-eb876683cf67",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "156bc613-d1c9-4b71-8a1e-e85b9b2fd427",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "ee9568ac-71c4-452a-a6d6-5e5d65f99603",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "ab744cbc-ef28-498e-a3e2-8e70fc5d8502",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "9160c173-d9f6-44ee-9b7b-478de1c9b987",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "20ad4ecc-71a6-4fbc-84ec-76b2d7718547",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-03-12T06:12:32.8123231+00:00"
      },
      "company_sector_id": "60d00c73-c840-4211-bfd1-35cd1062f5c7",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "c8226646-d0e8-4c48-b795-8a1fe3f5c50a",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "f9963796-d4f5-4b4f-8538-87f74fe23a50",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "df280da4-be3c-4a3f-b622-101b1f314a9b",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "a62add5d-912e-4d9c-a88a-0db47ec2d2f7",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-03-12T06:12:32.8123231+00:00",
      "id2": 60
    },
    "db_language_id": "0c60bb7b-beea-4b93-9a30-1503b62e5bea",
    "db_language_code": "sample string 7",
    "db_title_id": "a4b49bb1-c482-43d9-ad58-64a7a5ba4d02",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-03-12T06:12:32.8123231+00:00",
    "create_date": "2026-03-12T06:12:32.8123231+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-03-12T06:12:32.8123231+00:00"
  },
  "modified_dateutc": "2026-03-12T06:12:32.8123231+00:00",
  "id2": 22
}